Check running workflow instances for compatibility with the next generation platform

Collibra’s next generation platform is not compatible with the legacy workflow engine and APIs that are currently deprecated.

The Collibra Command Line Interface allows you to scan the environment configured with collibra-set for running workflow instances that are not compatible with the new platform:

  • Instances that were started before version 5.6.0 and are running on the legacy workflow engine.
  • Instances using version 1 of the Collibra APIs or private APIs.
  • Groovy scripts that are not compatible with Groovy3.

Example   workflow-instance-analyze

Output

The scan produces two reports that help you manage the incompatible workflow instances:

  • An HTML report that includes the reason, the parent workflow definition, the open tasks and their assigned users.
  • A CSV report, which you can use to cancel the instances with workflow-instance-cancel.

    Warning   Canceling a running workflow instance is irreversible and you should use this function only if it is impossible to complete the remaining open tasks.

Command

workflow-instance-analyze

Description

Options

Output

Analyze workflow instances compatibility with the Collibra next generation platform.
  • --outputDirectory or -o

The output directory for a folder containing the generated reports. By default $home/.collibra-cli.

  • --groovySyntaxErrorsOnly or -g

Recognize only syntax errors in Groovy scripts.

The total number of running workflow instances that were analyzed and the number of incompatible instances.

A link to the generated HTML report.

A link to the generated CSV report.